SonyCap is an application that can preview and capture to disk live video from any DirectShow compatible video device

SonyCap is an application that can:

  • Preview live video from any DirectShow compatible video device
  • Capture synchronized audio and video to AVI files
  • Configure audio and video devices

See the Menu Description for further details.


File

Set Capture File…

Sets the AVI file name to save the captured audio/video into.

Allocate File Space…

Sets the size of the preallocated AVI file to save the captured audio/video into. Preallocation helps to ensure no frames are dropped, though this is not guaranteed.

Save Captured Video As…

This allows the user to save the recently captured AVI file as another file.

Exit

Terminate this application.

Devices

Select the video and audio devices to preview and capture.

Options

Preview

If selected, preview the video.

Audio Format…

Displays the audio format dialog. This is selectable only if Capture|Capture Audio is selected.

Video Capture Format…

Displays the Video Camera Control dialog.

Video Capture Pin…

Displays the Video Stream Format dialog.

Capture

Start Capture

Starts the audio/video capture to disk.

Stop Capture

Stops the audio/video capture to disk.

Capture Audio

If selected, then audio is captured to disk.

Master Stream

Selects the master clock stream, which can be Audio, Video, or None. Typically if audio and video is selected, then the audio stream is the master clock.

Set Time Limit

Selects a time (in seconds) to capture audio/video to disk.

Help

About…

Displays the version of SonyCap.

Help…

Displays this help file.